Subject: [Suit] Manifest-12 review

From: Rønningstad, Øyvind <[email-masked]>
Date: Tue, 25 May 2021 12:52:26 +0000

Hi everyone

I collected some nits in a PR here: https://github.com/suit-wg/manifest-spec/pull/33

Additionally:

. I think integrated payloads / dependencies should be referenced by Component Identifier rather than URI, so they can be used in copy/validate/etc commands. As it is now, they can in principle only be referenced by component identifier after a fetch command which would mean a superfluous copy operation. This is unless fetch is specifically defined as a noop for integrated payloads and dependencies.
. Should there be a suit-future-reference-uri-list in parallel with suit-reference-uri that specifies where to find updates to the current manifest itself?
. I realized I never replied to Brendan's breakdown of my previous review (-07), but it was all fine, except one thing that is still unclear to me: I still do not quite understand what the "offset of the current component" in 8.7.6.5 refers to? "Who" manages this offset? What causes a component's offset to be updated? When, if ever, is the offset "reset"?
. Links from tables in htmlized output are sometimes truncated (part of the chapter number is lost leading to wrong links). e.g. suit-directive-set-component-index can be found at Section 8.7.7.1, but the link goes to Section 8.7.

See you in a few hours,
Øyvind